Subject: Re: bug#63587: 29.0.91; package-menu-mark-upgrades does not show available upgrades

From: Philip Kaludercic <[email-masked]>
Date: Thu, 25 May 2023 20:04:30 +0000

Eli Zaretskii <[email-masked]> writes:

> Ping!  Philip, are you looking into this?

Sorry, I forgot about it.  I'll take a look at this tomorrow or the day
after that.  My apologies for the delay.

>> Cc: [email-masked]
>> Date: Sun, 21 May 2023 11:01:46 +0300
>> From: Eli Zaretskii <[email-masked]>
>> 
>> > Date: Fri, 19 May 2023 08:30:46 +0200
>> > From: Andreas Kurth <[email-masked]>
>> > 
>> > after setting package-install-upgrade-built-in to a non-nil value, the
>> > command "M-x package-menu-mark-upgrades" won’t show upgradeable non
>> > built-in packages (magit, embark, ...) any more. Same for pressing "U"
>> > in the package menu. Also, the command "M-x list-packages" won’t
>> > announce upgradeable packages in the echo area.
>> > 
>> > Setting package-install-upgrade-built-in to nil will revert that
>> > faulty behaviour.
>> > 
>> > I bisected the error to commit
>> > ba2c76fa2bc3aabfda7d1d09cc5148f3f9d8e08e in emacs-29 branch.
>> 
>> Philip, could you please look into this issue?